import type { BrowserDestinationDefinition } from '../../lib/browser-destinations';
import type { Settings } from './generated-types';
import { Iterate, IterateSettings } from './types';
declare global {
    interface Window {
        Iterate: Iterate;
        iterateSettings: IterateSettings;
        IterateObjectName: string;
    }
}
export declare const destination: BrowserDestinationDefinition<Settings, Iterate>;
declare const _default: (settings: Settings & {
    subscriptions?: import("../../lib/browser-destinations").Subscription[] | undefined;
}) => Promise<import("@segment/analytics-next").Plugin[]>;
export default _default;
